# SNES (nonlinear solver) options
# Newton method
-coupled_snes_type newtonls
#-coupled_snes_monitor
-coupled_snes_max_it 1

# Absolute and relative tolerances
-coupled_snes_atol 1e-8
-coupled_snes_rtol 1e-20

# Line search method (bt and secant lead to convergence, basic diverges)
-coupled_snes_linesearch_type secant

# Finite differenced Jacobian
-coupled_snes_fd

# KSP (linear solver) options
-coupled_ksp_type gmres

# PC (preconditioner) options
-coupled_pc_type bjacobi
-coupled_sub_pc_type lu
-coupled_sub_pc_factor_mat_ordering_type qmd

# Network partitioner
-petscpartitioner_type simple

#========= Power network ==========
# SNES (nonlinear solver) options
# Newton method
-power_snes_type newtonls
#-power_snes_monitor
-power_snes_max_it 1

# Absolute and relative tolerances
-power_snes_atol 1e-8
-power_snes_rtol 1e-20

# Line search method (bt and secant lead to convergence, basic diverges)
-power_snes_linesearch_type secant

# Finite differenced Jacobian
#-power_snes_fd

# KSP (linear solver) options
-power_ksp_type gmres

# PC (preconditioner) options
-power_pc_type bjacobi
-power_sub_pc_type lu
-power_sub_pc_factor_mat_ordering_type qmd

#========= Water network ==========
# SNES (nonlinear solver) options
# Newton method
-water_snes_type newtonls
#-water_snes_monitor
-water_snes_max_it 1

# Absolute and relative tolerances
-water_snes_atol 1e-8
-water_snes_rtol 1e-20

# Line search method (bt and secant lead to convergence, basic diverges)
-water_snes_linesearch_type secant

# Finite differenced Jacobian
-water_snes_fd

# KSP (linear solver) options
-water_ksp_type gmres

# PC (preconditioner) options
-water_pc_type bjacobi
-water_sub_pc_type lu
-water_sub_pc_factor_mat_ordering_type qmd
